<?php require_once(dirname(dirname(__FILE__))."/HObfus.inc.php"); ?>
<?php /* [BEGIN] HEADER COMMENT */?><!-- ================================================================================

              <?php echo date("l jS \\of F Y h:i:s A"); ?> 

              +-----------------------------------------------------------+
              |                                                           |
              |                                                           |
              |          Thank you for checking the source code!          |
              |                                                           |
              |                                                           |
              +-----------------------------------------------------------+


         HObfus has a bonus feature to allow you to remove all script blocks from
         the Elements tab of DevTools, which makes it difficult to analyze
         JavaScript driven webpages such as this webpage.

         For more information about this feature, see '$cfg["remove-script"]' in
         HObfus User Guide.


    ================================================================================ --><?php /* [END] HEADER COMMENT */?>
<?php HObfus_begin(); ?>
<!doctype html>
<html>
<head>

<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>

<title>Bouncing Emoji</title>

<style>
*,
*::before,
*::after{
	box-sizing:border-box;
}
body{
	position:relative;
	margin:0;
	padding:0;
	width:100vw;
	height:100vh;
	background:linear-gradient(
		to bottom,#fff 0%,#fec 100%);
	overflow:hidden;
}
</style>

<script>
"use strict";
function main(){
	function $ce(tagName){
		return document.createElement(tagName);
	};

	function getRandomInt(min,max){
		return Math.floor(Math.random()*(max-min+1))+min;
	};

	function appendStyle(style){
		const el=$ce("style");
		el.type="text/css";
		if(el.styleSheet){
			el.styleSheet.cssText=style;
		}else{
			el.appendChild(document.createTextNode(style));
		}
		document.getElementsByTagName("head")[0].appendChild(el);
		return el;
	};

	function onEnd(el,callback,ename){
		const func=function(e){
			if(el==e.srcElement){
				el.removeEventListener(ename,func);
				if(callback){callback(e);}
			}
		};
		el.addEventListener(ename,func);
	};

	function onAnimationEnd(el,callback){
		onEnd(el,callback,"animationend");
	};

	function insertEmoji(px){
		const yy=0;
		const style=`
#${px.id}.ctower{
	position:absolute;
	left:0;
	top:0;
	width:${px.size}em;
	height:100%;
}
#${px.id}.ctower .cbox{
	position:relative;
	width:100%;
	height:${px.size}em;
	display:flex;
	justify-content:center;
	align-items:center;
	transform:translateY(-100%);
}
#${px.id}.ctower .char{
	display:inline-block;
	font-size:${px.size}em;
	line-height:1.1;
}
#${px.id}.ctower{
	animation-name:kf-ctower-${px.id};
	animation-fill-mode:forwards;
	animation-duration:${px.dura}s;
	animation-timing-function:linear;
}
@keyframes kf-ctower-${px.id}{
	0%{
		left:0%;
		transform:translate(-${100+px.wk}%);
	}
	100%{
		left:100%;
		transform:translate(${px.wk}%);
	}
}
#${px.id}.ctower .cbox{
	animation-name:kf-cbox-${px.id};
	animation-fill-mode:forwards;
	animation-duration:${px.dura}s;
}
@keyframes kf-cbox-${px.id}{
	0%{
		top:${100-20*px.hk-yy}%;
		animation-timing-function:ease-in;
	}
	15%{
		top:${100-0*px.hk-yy}%;
		animation-timing-function:ease-out;
	}
	30%{
		top:${100-15*px.hk-yy}%;
		animation-timing-function:ease-in;
	}
	45%{
		top:${100-0*px.hk-yy}%;
		animation-timing-function:ease-out;
	}
	60%{
		top:${100-10*px.hk-yy}%;
		animation-timing-function:ease-in;
	}
	75%{
		top:${100-0*px.hk-yy}%;
		animation-timing-function:ease-out;
	}
	90%{
		top:${100-7*px.hk-yy}%;
		animation-timing-function:ease-in;
	}
	100%{
		top:${100-0*px.hk-yy}%;
	}
}
#${px.id}.ctower .char{
	animation-name:kf-char-${px.id};
	animation-fill-mode:forwards;
	animation-duration:${px.spin}s;
	animation-iteration-count:infinite;
	animation-timing-function:linear;
}
@keyframes kf-char-${px.id}{
	0%{
		transform:rotateZ(0);
	}
	100%{
		transform:rotateZ(360deg);
	}
}
`;
		const el_style=appendStyle(style);

		const el_char=$ce("div");
		el_char.className="char";
		el_char.innerHTML=px.char;

		const el_cbox=$ce("div");
		el_cbox.className="cbox";
		el_cbox.appendChild(el_char);

		const el_ctower=$ce("div");
		el_ctower.id=px.id;
		el_ctower.className="ctower";
		el_ctower.appendChild(el_cbox);

		onAnimationEnd(el_ctower,function(){
			el_ctower.remove();
			el_style.remove();
		});

		document.body.appendChild(el_ctower);
	};

	const emojix=[
		"😀","😃","😄","😁","😆","😅","😂","🤣","😊","😇",
		"🙂","🙃","😉","😌","😍","😘","😗","😙","😚","😋",
		"😛","😝","😜","🤪","🤨","🧐","🤓","😎","🤩","😏",
		"😒","😞","😔","😟","😕","🙁","😣","😖","😫","😩",
		"😢","😭","😤","😠","😡","🤬","🤯","😳","😱","😨",
		"😰","😥","😓","🤗","🤔","😑","😬","🙄","😲","😴",
		"🤤","😪","😵","😵‍","🤐","🤢","😷","🤒","🤕","🤑",
		"🤠","😈"];

	let idx=0;
	const timer_id=setInterval(function(){
		if(document.querySelectorAll(".ctower").length<10){
			idx++;
			const id="id"+(10000+idx);
			const px={
				id,
				char:emojix[getRandomInt(0,emojix.length-1)],
				size:getRandomInt(4,10),
				dura:getRandomInt(4,8),
				spin:getRandomInt(0.8,5),
				wk:getRandomInt(20,100),
				hk:getRandomInt(2,5)
			};
			insertEmoji(px);
		}
	},1000);
};
</script>

</head>
<body>

<script>
"use strict";
document.addEventListener("DOMContentLoaded",function(){
	function $ce(tagName){
		return document.createElement(tagName);
	};

	function appendStyle(style){
		const el=$ce("style");
		el.type="text/css";
		if(el.styleSheet){
			el.styleSheet.cssText=style;
		}else{
			el.appendChild(document.createTextNode(style));
		}
		document.getElementsByTagName("head")[0].appendChild(el);
		return el;
	};

	function onEnd(el,callback,ename){
		const func=function(e){
			if(el==e.srcElement){
				el.removeEventListener(ename,func);
				if(callback){callback(e);}
			}
		};
		el.addEventListener(ename,func);
	};

	function onAnimationEnd(el,callback){
		onEnd(el,callback,"animationend");
	};

	function insertHelloBox(px){
		const yy=0;
		const style=`
#hellobox{
	position:fixed;
	left:0;
	right:0;
	top:50%;
	transform:translateY(-50%);
	font-size:1vw;
	background:linear-gradient(to right,
		rgba(0,0,40,0.5) 0%,
		rgba(0,0,40,0.8) 20%,
		rgba(0,0,40,0.8) 80%,
		rgba(0,0,40,0.5) 100%
	);
	user-select:none;

	animation-name:kf-hellobox;
	animation-fill-mode:both;
	animation-duration:1s;
	animation-delay:0.3s;
}
@keyframes kf-hellobox{
	0%{
		top:40%;
		opacity:0;
	}
	100%{
		top:50%;
		opacity:1;
	}
}
#hellobox.close{
	animation-name:kf-hellobox-close;
	animation-fill-mode:forwards;
	animation-duration:0.6s;
}
@keyframes kf-hellobox-close{
	0%{
		opacity:1;
	}
	100%{
		opacity:0;
	}
}
.message{
	padding:20px;
	color:white;
	font-family:"Verdana";
	font-size:6em;
	text-align:center;
	line-height:1.5;
}
.button{
	padding:20px;
	color:white;
	font-family:"arial","Verdana";
	font-weight:bold;
	font-size:6em;
	text-align:center;
	background:rgba(255,255,255,0.3);
	cursor:pointer;
}
@media (min-width:400px){
	.message{
		font-size:24px;
	}
	.button{
		font-size:24px;
	}
}
`;
		const el_style=appendStyle(style);

		const el_message=$ce("div");
		el_message.className="message";
		el_message.innerHTML=px.message;

		const el_button=$ce("div");
		el_button.className="button";
		el_button.innerHTML=px.button;

		const el_hellobox=$ce("div");
		el_hellobox.id="hellobox";
		el_hellobox.appendChild(el_message);
		el_hellobox.appendChild(el_button);

		el_button.addEventListener("click",function(e){
			onAnimationEnd(el_hellobox,function(){
				el_hellobox.remove();
			});
			el_hellobox.classList.add("close");

			if("main" in window){
				main();
			}
			if("mainResolve" in window){
				mainResolve();
			}
		});

		document.body.appendChild(el_hellobox);
	};

	insertHelloBox({
		button:"&lt; OK &gt;",
		message:"The HTML code generated by this PHP page is obfuscated by HObfus."+
			"<br>Check out the source code!"
	});
});
</script>

</body>
</html>
<?php HObfus_end(); ?>