<?php require_once(dirname(dirname(__FILE__))."/HObfus.inc.php"); ?>
<?php /* [BEGIN] HEADER COMMENT */?><!--


   Thank you for checking the source code!

   This is the source code of the demo index page!


--><?php /* [END] HEADER COMMENT */?>
<?php HObfus_begin(); ?>
<!doctype html>
<html>
<head>

<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>

<title>Usage Examples - HObfus</title>

<style>
*,
*::before,
*::after{
	box-sizing:border-box;
}
.header{
	margin-bottom:30px;
}
h1,h2,h3{
	display:inline-block;
	margin:0;
	background-image:linear-gradient(to right,#844 0%,#caa 100%);
 	background-size:100%;

	-webkit-background-clip:text;
	-moz-background-clip:text;
	-webkit-text-fill-color:transparent;
	-moz-text-fill-color:transparent;
}
h1{
	font-size:72px;
}
h2{
	font-size:26px;
}
h3{
	font-size:16px;
}
@media (max-width:380px){
	h1{
		font-size:54px;
	}
	h2{
		font-size:18px;
	}
	h3{
		font-size:13px;
	}
}
@media (max-width:280px){
	h1{
		font-size:38px;
	}
	h2{
		font-size:14px;
	}
	h3{
		font-size:10px;
	}
}
h1 a{
	text-decoration:none;
}
.contents{
	padding:20px;
	font-family:"Verdana";
	overflow:hidden;
}
.exlist{
	display:grid;
	grid-template-columns:repeat(auto-fit,minmax(300px,1fr));
	grid-column-gap:20px;
	grid-row-gap:20px;
	grid-auto-rows:100px;
}
.exlist .ex{
	position:relative;
	padding:0 10px;
	text-align:center;

	display:flex;
	justify-content:center;
	align-items:center;
	flex-direction:column;
	gap:1px;

	color:white;
	text-decoration:none;

	background:linear-gradient(to right bottom,#caa,#844);
	border:3px solid #844;
	border-radius:5px;

	cursor:pointer;
	user-select:none;
}
.exlist .ex .label{
	position:relative;
	font-size:24px;
}
.exlist .ex .filename{
	position:relative;
	font-size:16px;
	color:#ccc;
}
@media (max-width:380px){
	.exlist{
		grid-template-columns:repeat(auto-fit,minmax(200px,1fr));
	}
	.exlist .ex .label{
		font-size:20px;
	}
}
@media (max-width:280px){
	.exlist{
		grid-template-columns:repeat(auto-fit,minmax(140px,1fr));
	}
	.exlist .ex .label{
		font-size:16px;
	}
}
.exlist .ex:active{
	top:2px;
}
.exlist .ex .radiate{
	position:absolute;
	top:0;
	bottom:0;
	right:0;
	left:0;
}
.exlist .ex:hover .radiate{
	border:1px solid #844;
	animation-name:kf-radiate;
	animation-duration:0.9s;
	animation-iteration-count:infinite;
}
.exlist .ex:hover .radiate[data-idx="1"]{
	animation-delay:0s
}
.exlist .ex:hover .radiate[data-idx="2"]{
	animation-delay:0.3s
}
.exlist .ex:hover .radiate[data-idx="3"]{
	animation-delay:0.6s
}
@keyframes kf-radiate{
	0%{
		opacity:1;
		transform:scale(1);
		border-radius:0;
	}
	100%{
		opacity:0;
		transform:scale(1.2,1.6);
		border-radius:10px;
	}
}
</style>

</head>
<body>
<?php
	$url_home="http://www.phpkobo.com/hobfus";

	$exlist=array(
		array(
			"href"=>"slideshow.php",
			"label"=>"Slideshow",
		),
		array(
			"href"=>"bouncing-emoji.php",
			"label"=>"Bouncing Emoji",
		),
		array(
			"href"=>"population.php",
			"label"=>"Countries by Population",
		),
		array(
			"href"=>"stopwatch.php",
			"label"=>"Stopwatch",
		),
		array(
			"href"=>"multiple.php",
			"label"=>"Multiple Obfuscations",
		)
	);
?>

<div class="contents">

<div class="header">
	<div><h1><a href="<?php echo $url_home; ?>" target="_blank">HObfus</a></h1></div>
	<div><h2>Usage Examples:</h2></div>
</div>

<div class="exlist">
<?php foreach($exlist as $ex): ?>
	<a class="ex" href="<?php echo $ex['href']; ?>" target="_blank">
		<div class="radiate" data-idx="1"></div>
		<div class="radiate" data-idx="2"></div>
		<div class="radiate" data-idx="3"></div>
		<span class="label"><?php echo $ex['label']; ?></span>
		<span class="filename"><?php echo $ex['href']; ?></span>
	</a>
<?php endforeach; ?>
</div>

</div>

</body>
</html>
<?php HObfus_end(); ?>