<?php require_once(dirname(dirname(__FILE__))."/HObfus.inc.php"); ?>
<?php /* [BEGIN] HEADER COMMENT */?><!--

   Date : <?php echo date("Y-m-d H:i:s (T)"); ?> 

   ========================================================
           THANK YOU FOR CHECKING THE SOURCE CODE!
   ========================================================

   In this demo, the entire HTML source code is obfuscated
   ( except this comment, of course! ).

   You can obfuscate an entire HTML source code,
   or just parts of it if you want to.

   Specify where to obfuscate by enclosing it
   inside HObfus_begin() and HObfus_end() like:


   ==> HObfus_begin()
   ........................................................
   ........................................................
   .............( Anything between ........................
   ........................................................
   .................. HObfus_begin ........................
   ........................................................
   ...................... and .............................
   ........................................................
   .................. HObfus_end ..........................
   ........................................................
   .............. will be obfuscated. )....................
   ........................................................
   ........................................................
   ==> HObfus_end()


   Try it for yourself! It's so easy!


--><?php /* [END] HEADER COMMENT */?>
<?php HObfus_begin(); ?>
<!doctype html>
<html>
<head>

<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>

<title>Slideshow</title>

<style>
@import url('https://fonts.googleapis.com/css2?family=Pacifico&display=swap');
*,
*::before,
*::after{
	box-sizing:border-box;
}
body{
	position:relative;
	margin:0;
	padding:0;
	font-family:"Verdana";
	font-size:1vh;
	overflow:hidden;
}
</style>

<script>
"use strict";
window.mainResolve=null;
document.addEventListener("DOMContentLoaded",function(){
	function $ce(tagName){
		return document.createElement(tagName);
	};

	function appendStyle(style){
		const el=$ce("style");
		el.type="text/css";
		if(el.styleSheet){
			el.styleSheet.cssText=style;
		}else{
			el.appendChild(document.createTextNode(style));
		}
		document.getElementsByTagName("head")[0].appendChild(el);
		return el;
	};

	function onEnd(el,callback,ename){
		const func=function(e){
			if(el==e.srcElement){
				el.removeEventListener(ename,func);
				if(callback){callback(e);}
			}
		};
		el.addEventListener(ename,func);
	};

	function onAnimationEnd(el,callback){
		onEnd(el,callback,"animationend");
	};

	function onPreload(src,callback){
		const img=new Image();
		img.addEventListener("load",function(e){
			if(callback){callback(e);}
		});
		setTimeout(function(){
			img.src=src;
		},500);
	};

	const picx=[
		{title:"Seagull",
			url:"img/slide-001.jpg"},
		{title:"Horizon",
			url:"img/slide-002.jpg"},
		{title:"Above Clouds",
			url:"img/slide-003.jpg"},
		{title:"Fog",
			url:"img/slide-004.jpg"},
		{title:"Sunset",
			url:"img/slide-005.jpg"},
		{title:"Snow Mountains",
			url:"img/slide-006.jpg"}
	];

	function insertSlide(px){
		const id="id"+(10000+px.idx);
		const sec_pause=5;
		const sec_zoomfade=2;
		const sec_title_open=1;
		const style=`
#${id}.slide{
	position:absolute;
	top:0;
	left:0;
	width:100vw;
	height:100vh;
}
#${id}.slide .picbox{
	position:absolute;
	top:0;
	bottom:0;
	left:0;
	right:0;
}
#${id}.slide .picbox.zoomfade{
	animation-name:kf-picbox-zoomfade-${id};
	animation-fill-mode:forwards;
	animation-duration:${sec_zoomfade}s;
}
@keyframes kf-picbox-zoomfade-${id}{
	0%{
		transform:scale(1);
		opacity:1;
		animation-timing-function:ease-out;
	}
	100%{
		transform:scale(2);
		opacity:0;
	}
}
#${id}.slide .title{
	position:absolute;
	left:0;
	right:0;
	padding:4em;
	background-color:rgba(0,0,0,0.4);
	transform:translateY(-100%);
	animation-name:kf-title-open-${id};
	animation-fill-mode:both;
	animation-timing-function:ease-out;
	animation-duration:${sec_title_open}s;
}
#${id}.slide .title span{
	font-family:'Pacifico';
	font-size:4em;
	color:white;
}
@keyframes kf-title-open-${id}{
	0%{
		transform:translateY(-100%);
	}
	100%{
		transform:translateY(0);
	}
}
#${id}.slide .progress{
	position:absolute;
	left:0;
	width:0;
	height:12px;
	background-color:rgba(255,255,255,0.4);
	animation-name:kf-progress-${id};
	animation-fill-mode:forwards;
	animation-timing-function:linear;
	animation-duration:${sec_pause}s;
}
#${id}.slide .progress-top{
	top:0;
}
#${id}.slide .progress-bottom{
	bottom:0;
}
@keyframes kf-progress-${id}{
	0%{
		width:0;
	}
	100%{
		width:100%;
	}
}
`;
		const el_style=appendStyle(style);

		const rec=picx[px.idx%picx.length];

		const el_picbox=$ce("div");
		el_picbox.className="picbox";
		el_picbox.style.background="url('"+rec.url+"')";
		el_picbox.style["background-size"]="cover";
		el_picbox.style["background-position"]="center";

		const el_slide=$ce("div");
		el_slide.id=id;
		el_slide.className="slide";
		el_slide.setAttribute("data-title",rec.title);
		el_slide.appendChild(el_picbox);

		document.body.prepend(el_slide);

		px.el_slide_next=el_slide;
		px.el_style_next=el_style;

		return new Promise(function(resolve){
			onPreload(rec.url,function(){
				resolve();
			});
		});
	};

	function progressSlide(el_slide){
		const el_text=$ce("span");
		el_text.innerHTML=el_slide.getAttribute("data-title");

		const el_title=$ce("div");
		el_title.className="title";
		el_title.appendChild(el_text);

		const el_progress_top=$ce("div");
		el_progress_top.className="progress progress-top";

		const el_progress_bottom=$ce("div");
		el_progress_bottom.className="progress progress-bottom";

		const pm=new Promise(function(resolve){
			onAnimationEnd(el_progress_top,function(){
				resolve();
			});
		});

		el_slide.appendChild(el_title);
		el_slide.appendChild(el_progress_top);
		el_slide.appendChild(el_progress_bottom);

		return pm;
	};

	function runProgress(px){
		px.el_slide_curr=px.el_slide_next;
		px.el_style_curr=px.el_style_next;
		const promise_list=[];
		promise_list.push(insertSlide(px));
		promise_list.push(progressSlide(px.el_slide_curr));
		return Promise.all(promise_list);
	};

	function runTransit(px){
		return new Promise(function(resolve){
			px.el_slide_curr.querySelector(".title").remove();
			px.el_slide_curr.querySelector(".progress-top").remove();
			px.el_slide_curr.querySelector(".progress-bottom").remove();
			const el_picbox=px.el_slide_curr.querySelector(".picbox");
			onAnimationEnd(el_picbox,function(){
				px.el_style_curr.remove();
				px.el_slide_curr.remove();
				resolve();
			});
			el_picbox.classList.add("zoomfade");
		});
	};

	(async function(){
		const px={
			idx:0,
			el_title_next:null,
			el_title_curr:null,
			el_style_next:null,
			el_style_curr:null,
			el_slide_next:null,
			el_slide_curr:null
		};
		while(1){
			if(px.idx==0){
				await insertSlide(px);
				await new Promise(function(resolve){
					window.mainResolve=resolve;
				});
			}else{
				await runProgress(px);
				await runTransit(px);
			}
			px.idx++;
		}
	})();
});
</script>

</head>
<body>

<script>
"use strict";
document.addEventListener("DOMContentLoaded",function(){
	function $ce(tagName){
		return document.createElement(tagName);
	};

	function appendStyle(style){
		const el=$ce("style");
		el.type="text/css";
		if(el.styleSheet){
			el.styleSheet.cssText=style;
		}else{
			el.appendChild(document.createTextNode(style));
		}
		document.getElementsByTagName("head")[0].appendChild(el);
		return el;
	};

	function onEnd(el,callback,ename){
		const func=function(e){
			if(el==e.srcElement){
				el.removeEventListener(ename,func);
				if(callback){callback(e);}
			}
		};
		el.addEventListener(ename,func);
	};

	function onAnimationEnd(el,callback){
		onEnd(el,callback,"animationend");
	};

	function insertHelloBox(px){
		const yy=0;
		const style=`
#hellobox{
	position:fixed;
	left:0;
	right:0;
	top:50%;
	transform:translateY(-50%);
	font-size:1vw;
	background:linear-gradient(to right,
		rgba(0,0,40,0.5) 0%,
		rgba(0,0,40,0.8) 20%,
		rgba(0,0,40,0.8) 80%,
		rgba(0,0,40,0.5) 100%
	);
	user-select:none;

	animation-name:kf-hellobox;
	animation-fill-mode:both;
	animation-duration:1s;
	animation-delay:0.3s;
}
@keyframes kf-hellobox{
	0%{
		top:40%;
		opacity:0;
	}
	100%{
		top:50%;
		opacity:1;
	}
}
#hellobox.close{
	animation-name:kf-hellobox-close;
	animation-fill-mode:forwards;
	animation-duration:0.6s;
}
@keyframes kf-hellobox-close{
	0%{
		opacity:1;
	}
	100%{
		opacity:0;
	}
}
.message{
	padding:20px;
	color:white;
	font-family:"Verdana";
	font-size:6em;
	text-align:center;
	line-height:1.5;
}
.button{
	padding:20px;
	color:white;
	font-family:"arial","Verdana";
	font-weight:bold;
	font-size:6em;
	text-align:center;
	background:rgba(255,255,255,0.3);
	cursor:pointer;
}
@media (min-width:400px){
	.message{
		font-size:24px;
	}
	.button{
		font-size:24px;
	}
}
`;
		const el_style=appendStyle(style);

		const el_message=$ce("div");
		el_message.className="message";
		el_message.innerHTML=px.message;

		const el_button=$ce("div");
		el_button.className="button";
		el_button.innerHTML=px.button;

		const el_hellobox=$ce("div");
		el_hellobox.id="hellobox";
		el_hellobox.appendChild(el_message);
		el_hellobox.appendChild(el_button);

		el_button.addEventListener("click",function(e){
			onAnimationEnd(el_hellobox,function(){
				el_hellobox.remove();
			});
			el_hellobox.classList.add("close");

			if("main" in window){
				main();
			}
			if("mainResolve" in window){
				mainResolve();
			}
		});

		document.body.appendChild(el_hellobox);
	};

	insertHelloBox({
		button:"&lt; OK &gt;",
		message:"The HTML code generated by this PHP page is obfuscated by HObfus."+
			"<br>Check out the source code!"
	});
});
</script>

</body>
</html>
<?php HObfus_end(); ?>