<?php require_once(dirname(dirname(__FILE__))."/HObfus.inc.php"); ?>
<?php /* [BEGIN] HEADER COMMENT */?><!--


   THANK YOU FOR CHECKING THE SOURCE CODE!

   The current server time is: <?php echo date("l, F j, Y h:i:sa (T)"); ?> 


--><?php /* [END] HEADER COMMENT */?>
<?php HObfus_begin(); ?>
<!doctype html>
<html>
<head>

<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>

<title>Stopwatch</title>

<style>
*,
*::before,
*::after{
	box-sizing:border-box;
}
body{
	margin:0;
	padding:0;
}
.container{
	position:relative;
	width:100vw;
	height:100vh;
	background:linear-gradient(217deg, rgba(255,0,0,.8), rgba(255,0,0,0) 70.71%),
		linear-gradient(127deg, rgba(0,255,0,.8), rgba(0,255,0,0) 70.71%),
		linear-gradient(336deg, rgba(0,0,255,.8), rgba(0,0,255,0) 70.71%);
	display:flex;
	justify-content:center;
	align-items:center;
	overflow:hidden;
}
.stopwatch{
	position:relative;
	font-size:2vw;
	user-select:none;
}
.stopwatch .stopwatch-frame{
	position:absolute;
	width:100%;
	height:100%;
	border-radius:6em;
	background-color:#fff;
}
.stopwatch-running .stopwatch-frame{
	animation-name:kf-stopwatch-frame;
	animation-iteration-count:infinite;
	animation-duration:1s;
}
@keyframes kf-stopwatch-frame{
	0%{
		opacity:1;
		transform:scale(0.9);
	}
	100%{
		opacity:0;
		transform:scale(3);
		border-radius:50%;
	}
}
.stopwatch .stopwatch-inner{
	position:relative;
	border-radius:6em;
	overflow:hidden;
}
@media (min-width:500px){
	.stopwatch{
		font-size:10px;
	}
}
@media (max-width:500px){
	.stopwatch .stopwatch-frame,
	.stopwatch .stopwatch-inner{
		border-radius:0;
	}
}
.stopwatch .scrbox{
	padding:3em 5em 2em 5em;
	background-color:orange;
	display:flex;
	justify-content:center;
}
.stopwatch .counter{
	position:relative;
	font-size:9em;
	font-family:"Verdana","Arial";
	color:white;
}
.stopwatch .str_day{
	position:absolute;
	top:-0.8em;
	left:50%;
	transform:translate(-50%,0);
	font-style:italic;
	font-size:0.3em;
	font-family:"Georgia","Verdana","Arial";
	color:white;
}
.stopwatch .console{
	padding:2em 5em 2em 5em;
	background-color:#FFDD95;
	display:flex;
	justify-content:center;
	gap:10px;
}
.stopwatch .console button{
	position:relative;
	padding:0.5em 1em 0.5em 1em;
	width:8em;
	color:white;
	border:none;
	border-radius:1em;
	background-color:#00DFA2;
	font-family:"Verdana","Arial";
	font-size:1.8em;
	font-weight:bold;
	cursor:pointer;
}
.stopwatch .console button:active{
	top:1px;
}
.stopwatch .hidden{
	display:none;
}
</style>

</head>
<body>

<div class="container">
	<div class="stopwatch">
		<div class="stopwatch-frame"></div>
		<div class="stopwatch-inner">
			<div class="scrbox">
				<div class="counter">
					<div class="str_day"></div>
					<span class="str_hour">00</span>:<span
						class="str_min">00</span>:<span
						class="str_sec">00</span>
				</div>
			</div>
			<div class="console">
				<button class="start">START</button>
				<button class="reset hidden">RESET</button>
			</div>
		</div>
	</div>
</div>

<script>
"use strict";
(function(){
	const el_stopwatch=document.querySelector(".stopwatch");
	const el_str_sec=document.querySelector(".str_sec");
	const el_str_min=document.querySelector(".str_min");
	const el_str_hour=document.querySelector(".str_hour");
	const el_str_day=document.querySelector(".str_day");
	const el_start=document.querySelector(".start");
	const el_reset=document.querySelector(".reset");

	function pad0(n){
		return ((n<10)?"0":"")+n.toString();
	};

	function update(total_sec){
		const n_sec=total_sec%60;
		const total_min=(total_sec-n_sec)/60;
		const n_min=total_min%60;
		const total_hour=(total_min-n_min)/60;
		const n_hour=total_hour%24;
		const n_day=(total_hour-n_hour)/24;

		const str_sec=pad0(n_sec);
		const str_min=pad0(n_min);
		const str_hour=pad0(n_hour);
		const str_day=n_day?(n_day+" day"+(n_day!=1?"s":"")):null;

		el_str_sec.innerHTML=str_sec;
		el_str_min.innerHTML=str_min;
		el_str_hour.innerHTML=str_hour;
		if(str_day==null){
			el_str_day.classList.add("hidden");
		}else{
			el_str_day.classList.remove("hidden");
			el_str_day.innerHTML=str_day;
		}
	};

	let state="init";
	let n_tick=0;
	setInterval(function(){
		if(state=="running"){
			n_tick++;
			update(n_tick);
 			el_stopwatch.classList.add("stopwatch-running");
		}else{
 			el_stopwatch.classList.remove("stopwatch-running");
		}
	},1000);

	el_start.addEventListener("click",function(e){
		switch(state){
		case "init":
			el_reset.classList.remove("hidden");
		case "paused":
			state="running";
			el_start.innerHTML="PAUSE";
			break;
		case "running":
			state="paused";
			el_start.innerHTML="RESUME";
			break;
		}
	});
	el_reset.addEventListener("click",function(e){
		state="init";
		el_start.innerHTML="START";
		el_stopwatch.classList.remove("stopwatch-running");
		el_reset.classList.add("hidden");
		n_tick=0;
		update(n_tick);
	});
})();
</script>

<script>
"use strict";
document.addEventListener("DOMContentLoaded",function(){
	function $ce(tagName){
		return document.createElement(tagName);
	};

	function appendStyle(style){
		const el=$ce("style");
		el.type="text/css";
		if(el.styleSheet){
			el.styleSheet.cssText=style;
		}else{
			el.appendChild(document.createTextNode(style));
		}
		document.getElementsByTagName("head")[0].appendChild(el);
		return el;
	};

	function onEnd(el,callback,ename){
		const func=function(e){
			if(el==e.srcElement){
				el.removeEventListener(ename,func);
				if(callback){callback(e);}
			}
		};
		el.addEventListener(ename,func);
	};

	function onAnimationEnd(el,callback){
		onEnd(el,callback,"animationend");
	};

	function insertHelloBox(px){
		const yy=0;
		const style=`
#hellobox{
	position:fixed;
	left:0;
	right:0;
	top:50%;
	transform:translateY(-50%);
	font-size:1vw;
	background:linear-gradient(to right,
		rgba(0,0,40,0.5) 0%,
		rgba(0,0,40,0.8) 20%,
		rgba(0,0,40,0.8) 80%,
		rgba(0,0,40,0.5) 100%
	);
	user-select:none;

	animation-name:kf-hellobox;
	animation-fill-mode:both;
	animation-duration:1s;
	animation-delay:0.3s;
}
@keyframes kf-hellobox{
	0%{
		top:40%;
		opacity:0;
	}
	100%{
		top:50%;
		opacity:1;
	}
}
#hellobox.close{
	animation-name:kf-hellobox-close;
	animation-fill-mode:forwards;
	animation-duration:0.6s;
}
@keyframes kf-hellobox-close{
	0%{
		opacity:1;
	}
	100%{
		opacity:0;
	}
}
.message{
	padding:20px;
	color:white;
	font-family:"Verdana";
	font-size:6em;
	text-align:center;
	line-height:1.5;
}
.button{
	padding:20px;
	color:white;
	font-family:"arial","Verdana";
	font-weight:bold;
	font-size:6em;
	text-align:center;
	background:rgba(255,255,255,0.3);
	cursor:pointer;
}
@media (min-width:400px){
	.message{
		font-size:24px;
	}
	.button{
		font-size:24px;
	}
}
`;
		const el_style=appendStyle(style);

		const el_message=$ce("div");
		el_message.className="message";
		el_message.innerHTML=px.message;

		const el_button=$ce("div");
		el_button.className="button";
		el_button.innerHTML=px.button;

		const el_hellobox=$ce("div");
		el_hellobox.id="hellobox";
		el_hellobox.appendChild(el_message);
		el_hellobox.appendChild(el_button);

		el_button.addEventListener("click",function(e){
			onAnimationEnd(el_hellobox,function(){
				el_hellobox.remove();
			});
			el_hellobox.classList.add("close");

			if("main" in window){
				main();
			}
			if("mainResolve" in window){
				mainResolve();
			}
		});

		document.body.appendChild(el_hellobox);
	};

	insertHelloBox({
		button:"&lt; OK &gt;",
		message:"The HTML code generated by this PHP page is obfuscated by HObfus."+
			"<br>Check out the source code!"
	});
});
</script>

</body>
</html>
<?php HObfus_end(); ?>