<?php require_once(dirname(dirname(__FILE__))."/HObfus.inc.php"); ?>
<?php
//==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>==>>>
//
// HObfus v2.04 [ Free Trial Version ]
//
// Copyright (c) phpkobo.com ( http://www.phpkobo.com/ )
//
// Email : admin@phpkobo.com
//    ID : HOBFP-204-FTV
//   URL : http://www.phpkobo.com/hobfus
//
//==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<==<<<

$page_title="HObfus Web Interface";

$path=isset($_SERVER["SCRIPT_NAME"])?$_SERVER["SCRIPT_NAME"]:"";
$path=basename($path);
$this_file=$path?$path:"index.php";

class CHtmlObfus{
	private static function config($key){
		$cfg=array();
		$cfg["maxchars"]=500*1000;
		return $cfg;
	}

	private static function locale($key){
		$lca=array();
		$lca["title:options"]="Obfuscation Options";
		$lca["text:remove-script"]="Remove all the script blocks (<b>&lt;script&gt;...&lt;/script&gt;</b>) from the Elements tab of DevTools ";
		$lca["text:remove-comment"]="Remove all the comment blocks (<b>&lt;!--...--&gt;</b>) from the Elements tab of DevTools";
		$lca["label:input"]="INPUT (HTML)";
		$lca["label:output"]="OUTPUT (JavaScript)";
		$lca["label:obfuscate"]="Obfuscate";
		$lca["label:select"]="Select";
		$lca["label:copy"]="Copy";
		$lca["text:copied"]="Copied to<br>Clipboard";
		$lca["text:engine"]="Obfuscated by <a href='http://www.phpkobo.com/hobfus' target='_blank'>HObfus</a>";
		$lca["text:output-header"]="<!-- Obfuscated at %date-time% by HObfus( http://www.phpkobo.com/hobfus ) -->";
		$lca["err:zero-data-size"]="ERROR: No text is inputted";
		$lca["err:max-data-size"]="ERROR: Input exceeds the maximum data size limit";
		return $lca;
	}

	private static function encodeInpVal($txt){
		$txt=htmlspecialchars($txt);
		$txt=str_replace("\r","",$txt);
		$txt=str_replace("\n","&#10;",$txt);
		return $txt;
	}

	private static function getPostValue($key,$def){
		return isset($_POST[$key])?$_POST[$key]:$def;
	}

	private static function setupCheckBox($name,&$options){
		$b=(isset($_POST[$name])&&($_POST[$name]=="y"));
		$options[$name]=$b?"checked":"";
	}

	private static function obfuscate($icode,$options,$header){
		$dt=date("Y-m-d H:i:s");
		$header=str_replace("%date-time%",$dt,$header);

		$cfg=array(
			"prepend"=>$header,
			"return-output"=>1,
		);
		foreach($options as $key=>$val){
			$cfg[$key]=!empty($val)?1:0;
		}

		HObfus_begin($cfg);
		echo $icode;
		return HObfus_end();
	}

	public static function main(){
		global $this_file;

		$cfg_main=self::config("main");
		$maxchars=$cfg_main["maxchars"];

		$lca=self::locale("form");

		$options=array();
		$cmd=self::getPostValue("cmd","form");
		switch($cmd){
		case "form":
			$options["remove-script"]="checked";
			$options["remove-comment"]="checked";
			$icode=file_get_contents(dirname(__FILE__)."/sample.txt");
			$ocode="";
			break;
		case "obfuscate":
			self::setupCheckBox("remove-script",$options);
			self::setupCheckBox("remove-comment",$options);
			$icode=self::getPostValue("icode","");
			$icode=str_replace("\r","",$icode);
			if($icode==""){
				$cmd="error";
				$ocode=$lca["err:zero-data-size"];
			}else if($maxchars<mb_strlen($icode,"UTF-8")){
				$cmd="error";
				$ocode=$lca["err:max-data-size"];
			}else{
				$header=$lca["text:output-header"];
				$ocode=self::obfuscate($icode,$options,$header);
			}
			break;
		}
?>
<style>
input,
button,
textarea,
select{
	font-size:16px;
	line-height:1.4;
}
.codebox-section{
	margin-bottom:20px;
}
.codebox-form-group{
	margin-bottom:15px;
}
.codebox-label{
	color:#333;
	font-weight:bold;
	margin-bottom:3px;
}
.codebox-input-group{
	position:relative;
}
.codebox-input{
	position:relative;
	display:block;
	width:100%;
	height:200px;
	padding:10px;
	font-family:monospace;
	resize:none;
	border-color:#ccc;
	border-radius:5px;
	scrollbar-color:#abc8e5 #dee7ef;
}
.codebox-input:focus{
	border-color:#66afe9;
	outline:0;
	box-shadow:inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);
}
.codebox-input[name="icode"]{
	white-space:pre;
	tab-size:4;
}
.codebox-input[name="ocode"]{
	word-break:break-all;
}
.btn{
	position:relative;
	display:inline-block;
	padding:6px 12px;
	margin-bottom:0;
	font-size:14px;
	font-weight:normal;
	line-height:1.42857143;
	text-align:center;
	white-space:nowrap;
	vertical-align:top;
	touch-action:manipulation;
	cursor:pointer;
	user-select:none;
	border:1px solid transparent;
	border-radius:4px;
	text-decoration:none;
	overflow:hidden;
}
.btn:active{
	top:1px;
}
.btn[disabled]{
	top:0;
	cursor:not-allowed;
	filter:alpha(opacity=65);
	-webkit-box-shadow:none;
	box-shadow:none;
	opacity:.65;
}
.btn *{
	pointer-events:none;
}
.btn-primary{
	color:#fff;
	background-color:#337ab7;
	border-color:#245580;
}
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active{
	background-color:#286090;
}
.btn-lg{
	font-size:20px;
}
.list-group{
  padding-left:0;
  margin-bottom:20px;
}
.list-group-item{
	position:relative;
	display:block;
	padding:10px 15px;
	margin-bottom:-1px;
	background-color:#fff;
	border:1px solid #ddd;
}
.list-group-item:first-child{
	border-top-left-radius:4px;
	border-top-right-radius:4px;
}
.list-group-item:last-child{
	margin-bottom:0;
	border-bottom-right-radius:4px;
	border-bottom-left-radius:4px;
}
.list-group-item-info{
	color:#31708f;
	background-color:#d9edf7;
}
.codebox-tatools{
	position:relative;
	padding:0 20px;
	display:flex;
	justify-content:flex-start;
	align-items:flex-start;
	gap:10px;
	z-index:1;
}
.codebox-tatools button{
	padding:5px 15px;
	min-width:100px;
	border:none;
	border-radius:0 0 5px 5px;
	color:white;
	background-color:#468acf;
	cursor:pointer;
}
.codebox-tatools button:hover{
	background-color:rgb(40, 96, 144);
}
@media (max-width:500px){
	.codebox-tatools{
		padding:5px 20px;
		display:block;
	}
	.codebox-tatools button{
		margin:0 0 5px 5px;
		border-radius:5px;
	}
}
.codebox-label-box{
	width:100%;
	display:flex;
	justify-content:space-between;
	align-items:center;
	gap:10px;
}
.codebox-engine-link{
	position:relative;
	display:inline-block;
	margin-right:5px;
	font-size:90%;
	font-style:italic;
	color:#888;
	animation-name:kf-codebox-engine-link;
	animation-iteration-count:1;
	animation-fill-mode:both;
	animation-delay:4s;
	animation-duration:0.6s;
}
@keyframes kf-codebox-engine-link{
	0%{
		opacity:0;
		left:-100px;
	}
	100%{
		opacity:1;
		left:0;
	}
}
.codebox-engine-link a{
	font-weight:bold;
	color:#468acf;
}
.codebox-checkbox-group{
	margin:0;
	padding:4px 0;
	display:flex;
	justify-content:flex-start;
	align-items:center;
	gap:10px;
}
.codebox-checkbox-group-item{
	font-weight:normal;
}
.codebox-checkbox-text{
	margin-bottom:4px;
	user-select:none;
}
.codebox-checkbox{
	margin:0 !important;
	width:30px !important;
	height:30px !important;
}
.codebox-toolbox{
	padding:10px 0 20px 0;
	text-align:center;
}
.codebox-radiate{
	position:absolute;
	top:0;
	bottom:0;
	right:0;
	left:0;
	border-radius:10px;
	opacity:0;
}
.codebox-fanfare .codebox-radiate{
	border:1px solid #66afe9;
	animation-name:kf-codebox-radiate;
	animation-duration:0.9s;
	animation-iteration-count:3;
	animation-fill-mode:backwards;
}
.codebox-radiate[data-idx="1"]{
	animation-delay:0s
}
.codebox-radiate[data-idx="2"]{
	animation-delay:0.3s
}
.codebox-radiate[data-idx="3"]{
	animation-delay:0.6s
}
@keyframes kf-codebox-radiate{
	0%{
		opacity:1;
		transform:scale(1);
	}
	100%{
		opacity:0;
		transform:scale(1.2,1.4);
	}
}
.codebox-waitscreen{
	position:fixed;
	top:0;
	bottom:0;
	left:0;
	right:0;
	color:white;
	background:rgba(0,0,0,0.3);
	z-index:1000000;
	cursor:wait;
}
.codebox-waitscreen .codebox-waiticon{
	position:absolute;
	left:50%;
	top:50%;
	transform:translate(-50%,-50%);
	width:100px;
	height:100px;
}
.codebox-waiticon svg{
	color:rgba(255,255,255,0.3);
	animation-name:kf-codebox-waiticon-svg;
	animation-iteration-count:infinite;
	animation-timing-function:linear;
	animation-duration:3s;
}
@keyframes kf-codebox-waiticon-svg{
	100%{transform:rotateZ(360deg);}
}
</style>

<div class="codebox-section">
	<form class="codebox-form" action="<?php echo $this_file; ?>" method="POST" spellcheck="false">
		<input type="hidden" name="cmd" value="obfuscate"/>

		<div class="codebox-form-group codebox-type-i">
			<div class="codebox-label"><?php echo $lca["label:input"]; ?></div>
			<div class="codebox-input-group">
				<textarea class="codebox-input" name="icode"><?php
					echo self::encodeInpVal($icode); ?></textarea>
			</div>
			<div class="codebox-tatools">
				<button class="codebox-btn-select"><?php echo $lca["label:select"]; ?></button>
				<button class="codebox-btn-copy"><?php echo $lca["label:copy"]; ?></button>
			</div>
		</div>

		<div class="list-group codebox-options">
			<li class="list-group-item list-group-item-info"><?php echo $lca["title:options"]; ?></li>
			<li class="list-group-item" style="list-style-type:none;padding-bottom:5px;">
				<label class="codebox-checkbox-group">
					<div class="codebox-checkbox-group-item">
						<input class="codebox-checkbox" type="checkbox" name="remove-script" value="y"
						<?php echo $options["remove-script"]; ?>>
					</div>
					<div class="codebox-checkbox-group-item codebox-checkbox-text">
						<?php echo $lca["text:remove-script"]; ?>
					</div>
				</label>

				<label class="codebox-checkbox-group">
					<div class="codebox-checkbox-group-item">
						<input class="codebox-checkbox" type="checkbox" name="remove-comment" value="y"
						<?php echo $options["remove-comment"]; ?>>
					</div>
					<div class="codebox-checkbox-group-item codebox-checkbox-text">
						<?php echo $lca["text:remove-comment"]; ?>
					</div>
				</label>
			</li>
		</div>

		<div class="codebox-toolbox">
			<button type="submit" class="btn btn-primary btn-lg codebox-submit"><?php echo $lca["label:obfuscate"]; ?></button>
		</div>

		<div class="codebox-form-group codebox-type-o">
			<div class="codebox-label-box">
				<div class="codebox-label"><?php echo $lca["label:output"]; ?></div>
				<?php if($cmd=="obfuscate"): ?>
				<div class="codebox-engine-link">
					<?php echo $lca["text:engine"]; ?>
				</div>
				<?php endif; ?>
			</div>
			<div class="codebox-input-group">
				<div class="codebox-radiate" data-idx="1"></div>
				<div class="codebox-radiate" data-idx="2"></div>
				<div class="codebox-radiate" data-idx="3"></div>
				<textarea class="codebox-input" name="ocode"><?php
					echo self::encodeInpVal($ocode); ?></textarea>
			</div>
			<div class="codebox-tatools">
				<button class="codebox-btn-select"><?php echo $lca["label:select"]; ?></button>
				<button class="codebox-btn-copy"><?php echo $lca["label:copy"]; ?></button>
			</div>
		</div>
	</form>
</div>

<script>
"use strict";
function alertCopied(px){

	function $ce(tagName){
		return document.createElement(tagName);
	};

	function appendStyle(style){
		const el=$ce("style");
		el.type="text/css";
		if(el.styleSheet){
			el.styleSheet.cssText=style;
		}else{
			el.appendChild(document.createTextNode(style));
		}
		document.getElementsByTagName("head")[0].appendChild(el);
		return el;
	};

	function onEnd(el,callback,ename){
		const func=function(e){
			if(el==e.srcElement){
				el.removeEventListener(ename,func);
				if(callback){callback(e);}
			}
		};
		el.addEventListener(ename,func);
	};

	function onAnimationEnd(el,callback){
		onEnd(el,callback,"animationend");
	};

	function CClipBox(px){
		let el_clipbox=null;
		let el_line1=null;
		let el_line2=null;

		function setup(){
			const style=`
.clipbox{
	display:table-cell;
	position:relative;
	width:50px;
	min-width:50px;
	height:50px;
	background-image:url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" stroke="white" stroke-width="0.2" fill="white" class="bi bi-clipboard" viewBox="0 0 16 16"><path d="M4 1.5H3a2 2 0 0 0-2 2V14a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V3.5a2 2 0 0 0-2-2h-1v1h1a1 1 0 0 1 1 1V14a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1V3.5a1 1 0 0 1 1-1h1z"/><path d="M9.5 1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-3a.5.5 0 0 1-.5-.5v-1a.5.5 0 0 1 .5-.5zm-3-1A1.5 1.5 0 0 0 5 1.5v1A1.5 1.5 0 0 0 6.5 4h3A1.5 1.5 0 0 0 11 2.5v-1A1.5 1.5 0 0 0 9.5 0z"/></svg>');
	background-size:cover;
	font-size:4px;
}
.clipbox-mark{
	position:absolute;
	top:3.5em;
	left:4.6em;
	width:3.5em;
	height:6em;
	transform:rotateZ(40deg);
}
.clipbox-line1{
	position:absolute;
	bottom:0;
	left:0;
	width:0;
	height:1em;
	background-color:white;
}
.clipbox.clipbox-play .clipbox-line1{
	animation-name:kf-clipbox-line1;
	animation-iteration-count:1;
	animation-fill-mode:forwards;
	animation-delay:.5s;
	animation-duration:.2s;
}
@keyframes kf-clipbox-line1{
	0%{
		width:0;
	}
	100%{
		width:100%;
	}
}
.clipbox-line2{
	position:absolute;
	bottom:0;
	right:0;
	width:1em;
	height:0;
	background-color:white;
}
.clipbox.clipbox-play .clipbox-line2{
	animation-name:kf-clipbox-line2;
	animation-iteration-count:1;
	animation-fill-mode:forwards;
	animation-delay:.7s;
	animation-duration:.2s;
}
@keyframes kf-clipbox-line2{
	0%{
		height:0;
	}
	100%{
		height:100%;
	}
}`;
			const el_prev=document.getElementById("style-clipbox");
			if(el_prev){el_prev.remove();}
			const el_style=appendStyle(style);
			el_style.id="style-clipbox";

			el_line1=$ce("div");
			el_line1.className="clipbox-line1";
			el_line2=$ce("div");
			el_line2.className="clipbox-line2";
			const el_mark=$ce("div");
			el_mark.className="clipbox-mark";
			el_mark.appendChild(el_line1);
			el_mark.appendChild(el_line2);

			el_clipbox=$ce("div");
			el_clipbox.className="clipbox";
			el_clipbox.appendChild(el_mark);

			return el_clipbox;
		};

		function run(px){
			return new Promise(function(resolve){
				onAnimationEnd(el_line2,function(){
					resolve();
				});
				el_clipbox.classList.add("clipbox-play");
			});
		};

		return{setup,run};
	};

	function CAlertBox(px){
		let el_alertbox=null;
		let clipbox=null;

		function setup(params){
			const style=`
.alertbox{
	position:fixed;
	top:0;
	left:0;
	color:white;
	background:#2ecc71;
	opacity:0;
	transition:opacity 0.6s;
	padding:10px;
	border-radius:5px;
	box-shadow:1px 1px 4px #2ecc71;
	z-index:1000;
}
.iconbox{
	display:table-cell;
	vertical-align:middle;
	width:50px;
}
.msgbox{
	display:table-cell;
	padding-left:10px;
	padding-right:5px;
	vertical-align:middle;
	font-family:"Times New Roman";
	font-style:italic;
	font-size:18px;
	letter-spacing:1px;
	white-space:nowrap;
}`;
			const el_prev=document.getElementById("style-alertbox");
			if(el_prev){el_prev.remove();}
			const el_style=appendStyle(style);
			el_style.id="style-alertbox";

			clipbox=CClipBox();
			const el_clipbox=clipbox.setup();

			const el_iconbox=$ce("div");
			el_iconbox.className="iconbox";
			el_iconbox.appendChild(el_clipbox);

			const el_msgbox=$ce("div");
			el_msgbox.className="msgbox";
			el_msgbox.innerHTML=px.msg;

			el_alertbox=$ce("div");
			el_alertbox.className="alertbox";
			el_alertbox.appendChild(el_iconbox);
			el_alertbox.appendChild(el_msgbox);

			document.body.appendChild(el_alertbox);

			const rect1=params.rect_start;
			const x1=rect1.x+rect1.width/2;
			const y1=rect1.y+rect1.height/2;
			const cx=x1;
			const cy=y1+100*((y1>200)?-1:1);

			const rect2=el_alertbox.getBoundingClientRect();
			const w2=rect2.width;
			const h2=rect2.height;
			const x2=parseInt(cx-w2/2);
			const y2=parseInt(cy-h2/2);
			el_alertbox.style.top=y2+"px";
			el_alertbox.style.left=x2+"px";

			return el_alertbox;
		};

		function run(px){
			return new Promise(function(resolve){
				el_alertbox.style.opacity=1;
				const promise1=clipbox.run();
				promise1.then(()=>{
					setTimeout(function(){
						el_alertbox.style.opacity=0;
						setTimeout(function(){
							el_alertbox.remove();
							resolve();
						},1*1000);
					},1*1000);
				});
			});
		};

		return{setup,run};
	};

	function runTransitBox(px){
		const style=`
.transitbox{
	position:fixed;
	top:${px.rect1.top}px;
	left:${px.rect1.left}px;
	width:${px.rect1.width}px;
	height:${px.rect1.height}px;
	border-radius:5px;
	background-color:rgba(46,204,113,0.3);
	border:2px dotted #2ecc71;
	animation-name:kf-transitbox;
	animation-fill-mode:forwards;
	animation-duration:${px.duration};
	z-index:100;
}
@keyframes kf-transitbox{
	100%{
		top:${px.rect2.top}px;
		left:${px.rect2.left}px;
		width:${px.rect2.width}px;
		height:${px.rect2.height}px;
	}
}
`;
		const el_prev=document.getElementById("style-transitbox");
		if(el_prev){el_prev.remove();}
		const el_style=appendStyle(style);
		el_style.id="style-transitbox";

		const el_transitbox=$ce("div");
		el_transitbox.className="transitbox";

		return new Promise(function(resolve){
			onAnimationEnd(el_transitbox,function(){
				setTimeout(function(){
					el_transitbox.remove();
					el_style.remove();
				},0.5*1000);
				resolve();
			});
			document.body.appendChild(el_transitbox);
		});
	};

	async function run(){
		const alertbox=CAlertBox({
			msg:px.msg
		});
		const el_alertbox=alertbox.setup({
			rect_start:px.rect_start
		});

		await runTransitBox({
			rect1:px.rect_start,
			rect2:el_alertbox.getBoundingClientRect(),
			duration:".6s"
		});

		await alertbox.run({
			duration:".6s"
		});
	};

	run();
};

(function(){
	function $(selector,el_ref){
		return (el_ref?el_ref:document).querySelector(selector);
	};

	function $ce(tagName){
		return document.createElement(tagName);
	};

	const cmd="<?php echo $cmd; ?>";
	const el_section=$(".codebox-section");
	const el_form=$(".codebox-form",el_section);
	const el_submit=$(".codebox-submit",el_form);
	const el_icode_box=$(".codebox-type-i .codebox-input-group",el_form);
	const el_icode=$(".codebox-input[name='icode']",el_icode_box);
	const el_ocode_box=$(".codebox-type-o .codebox-input-group",el_form);
	const el_ocode=$(".codebox-input[name='ocode']",el_ocode_box);
	const n_maxchars=<?php echo $maxchars; ?>;

	const Clipboard=(function(){
		function put(text){
			try {
				if(window.clipboardData&&window.clipboardData.setData){
					return clipboardData.setData("Text",text); 
				}else if(document.queryCommandSupported&&document.queryCommandSupported("copy")){
					const textarea=document.createElement("textarea");
					textarea.textContent=text;
					textarea.style.position="fixed";
					document.body.appendChild(textarea);
					textarea.select();
					try {
						return document.execCommand("copy");
					}catch(ex){
						return false;
					}finally{
						document.body.removeChild(textarea);
					}
					return true;
				}else{
					return false;
				}
			}catch(ex){
				return false;
			}
			return true;
		};
		return{put};
	})();

	function isFireFox(){
		return (navigator.userAgent.toLowerCase().indexOf('firefox')>-1);
	};

	function selectText(el){
		el.select();
		if(el.scrollTo){
			if(!isFireFox()){
				el.scrollTo(0,0);
			}else{
				setTimeout(function(){
					el.scrollTo(0,0);
				},10);
			}
		}
	};

	function fanfare(){
		document.querySelector("main").style.overflow="hidden";
		setTimeout(function(){
			el_ocode_box.classList.add("codebox-fanfare");
		},0.4*1000);
	}

	const WaitScreen=(function(){
		let el_ws=null;
		function open(){
			if(el_ws){return;}
			el_ws=$ce("div");
			el_ws.className="codebox-waitscreen";
			const el_wi=$ce("div");
			el_wi.className="codebox-waiticon";
			const svg=`
<svg fill="currentColor" viewBox="0 0 16 16">
	<path d="M7.068.727c.243-.97 1.62-.97 1.864 0l.071.286a.96.96 0 0 0 1.622.434l.205-.211c.695-.719 1.888-.03 1.613.931l-.08.284a.96.96 0 0 0 1.187 1.187l.283-.081c.96-.275 1.65.918.931 1.613l-.211.205a.96.96 0 0 0 .434 1.622l.286.071c.97.243.97 1.62 0 1.864l-.286.071a.96.96 0 0 0-.434 1.622l.211.205c.719.695.03 1.888-.931 1.613l-.284-.08a.96.96 0 0 0-1.187 1.187l.081.283c.275.96-.918 1.65-1.613.931l-.205-.211a.96.96 0 0 0-1.622.434l-.071.286c-.243.97-1.62.97-1.864 0l-.071-.286a.96.96 0 0 0-1.622-.434l-.205.211c-.695.719-1.888.03-1.613-.931l.08-.284a.96.96 0 0 0-1.186-1.187l-.284.081c-.96.275-1.65-.918-.931-1.613l.211-.205a.96.96 0 0 0-.434-1.622l-.286-.071c-.97-.243-.97-1.62 0-1.864l.286-.071a.96.96 0 0 0 .434-1.622l-.211-.205c-.719-.695-.03-1.888.931-1.613l.284.08a.96.96 0 0 0 1.187-1.186l-.081-.284c-.275-.96.918-1.65 1.613-.931l.205.211a.96.96 0 0 0 1.622-.434zM12.973 8.5H8.25l-2.834 3.779A4.998 4.998 0 0 0 12.973 8.5m0-1a4.998 4.998 0 0 0-7.557-3.779l2.834 3.78zM5.048 3.967l-.087.065zm-.431.355A4.98 4.98 0 0 0 3.002 8c0 1.455.622 2.765 1.615 3.678L7.375 8zm.344 7.646.087.065z"/>
</svg>
`;
			el_wi.innerHTML=svg;
			el_ws.appendChild(el_wi);
			document.body.appendChild(el_ws);
		};
		function close(){
			if(!el_ws){return;}
			el_ws.remove();
			el_ws=null;
		};
		return{open,close};
	})();

	function scrollToOCode(){
		const rect=el_ocode.getBoundingClientRect();
		const delta=150;
		let top;
		if((rect.bottom-rect.top+delta)>window.innerHeight){
			top=(document.documentElement.scrollTop+rect.top-100);
		}else{
			top=(document.documentElement.scrollTop+
				rect.bottom+100)-window.innerHeight;
		}
		window.scroll({
			top:top,
			left:0,
			behavior:"smooth"
		});
	};

	function processCmd(cmd){
		el_submit.disabled=true;
		switch(cmd){
		case "obfuscate":
			selectText(el_ocode);
			fanfare(el_ocode);
			scrollToOCode(el_ocode);
			break;
		case "error":
			scrollToOCode(el_ocode);
			break;
		default:
			selectText(el_icode);
			break;
		}
		el_submit.disabled=false;
	};

	function setupBtnEvent(name,func){
		document.querySelector(".codebox-type-i .codebox-btn-"+name).
			addEventListener("click",func);
		document.querySelector(".codebox-type-o .codebox-btn-"+name).
			addEventListener("click",func);
	};

	function getTextareaInside(el){
		return el.closest(".codebox-form-group").querySelector("textarea");
	};

	function setupSelect(){
		setupBtnEvent("select",function(e){
			e.preventDefault();
			const el_textarea=getTextareaInside(this);
			selectText(el_textarea);
		});
	};

	function setupCopy(){
		setupBtnEvent("copy",function(e){
			e.preventDefault();
			const el_textarea=getTextareaInside(this);
			if(el_textarea.value){
				Clipboard.put(el_textarea.value);
				selectText(el_textarea);
				alertCopied({
					msg:"<?php echo $lca['text:copied']; ?>",
					rect_start:this.getBoundingClientRect()
				});
			}
		});
	};

	function setupSubmit(){
		el_form.addEventListener("submit",function(e){
			el_submit.disabled=true;
			WaitScreen.open();
			const len=el_icode.value.length;

			function raiseError(msg){
				e.preventDefault();
				el_ocode.value=msg;
				processCmd("error");
				WaitScreen.close();
			};

			if(len==0){
				raiseError('<?php echo $lca["err:zero-data-size"]; ?>');
				return;
			}

			if(n_maxchars<len){
				raiseError('<?php echo $lca["err:max-data-size"]; ?>');
				return;
			}
		});
	};

	function setup(){
		setupSelect();
		setupCopy();
		setupSubmit();
		el_icode.addEventListener("focus",function(){el_icode.select();});
		el_ocode.addEventListener("focus",function(){el_ocode.select();});
		processCmd(cmd);
	};

	document.addEventListener("DOMContentLoaded",function(event) { 
		setTimeout(function(){
			setup();
		},300);
	});
})();
</script>
<?php
	}
}

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>

<title><?php echo $page_title; ?></title>

<style>
*,
*::before,
*::after{
	box-sizing:border-box;
}
body{
	margin:0;
	padding:0;
	font-family:"Verdana";
	font-size:16px;
	line-height:1.6em;
	display:grid;
	width:100%;
	min-height:100vh;
	grid-template-rows:auto minmax(0,1fr) auto;
}
header{
	padding:10px 0;
	color:white;
	background-color:#333;
	display:flex;
	justify-content:flex-start;
	align-items:center;
}
header a.title{
	margin-left:20px;
	color:#eee;
	font-size:26px;
	text-decoration:none;
}
header a.title:hover{
	color:#fff;
}
main{
	max-width:800px;
	margin:20px auto;
	padding:0 10px;
}
footer{
	padding:10px 0;
	color:white;
	background-color:#333;
	display:flex;
	justify-content:center;
	align-items:center;
}
footer a{
	color:#888;
	font-size:14px;
	text-decoration:none;
}
footer a:hover{
	color:#ccc;
}
</style>

</head>

<body>
<header>
	<a href="<?php echo $this_file; ?>" class="title"><?php echo $page_title; ?></a>
</header>
<main>
<style>
.about{
	margin:10px 0 40px 0;
}
</style>
<div class="about">
	<p><b>How to use HObfus Web Interface: </b></p>
	<ol>
		<li>Enter your HTML code in the input box below.</li>
		<li>Click <b>Obfuscate</b>. HObfus Web Interface will convert the HTML code to obfuscated JavaScript code.</li>
	</ol>
</div>
<?php CHtmlObfus::main(); ?> 
</main>
<footer>
	<a href="http://www.phpkobo.com/hobfus" target="_blank">phpkobo</a>
</footer>
</body>
</html>